D4Science Infrastructure - Support #353

Uri resolver: URL_REWRITE for data.d4science.org
Jul 03, 2015 04:57 PM - Francesco Mangiacrapa

Status: Closed Start date: Jul 03, 2015
Priority: High Due date:

Assignee: Andrea Dell'’Amico % Done: 100%
Category: System Application Estimated time: 0.00 hour
Infrastructure: Production

Description

An URL_REWRITE for data.d4science.org should be realized to rewrite following URLSs:

http:/data.d4science.org/id?query_string -> http://data.d4science.org/uri-resolver/id?query_string

http:/data.d4science.org/smp?query_string -> http:/data.d4science.org/uri-resolver/smp?query_string
http:/data.d4science.org/gis?query_string -> http://data.d4science.org/uri-resolver/gis?query_string

History

#1 - Jul 06, 2015 03:01 PM - Francesco Mangiacrapa
- Priority changed from Normal to High

Tommaso, any update on this?

#2 - Jul 21, 2015 04:02 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- Assignee changed from Tommaso Piccioli to Andrea Dell’Amico

#3 - Jul 22, 2015 05:24 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The new rewrite rules are:

RewriteEngine on

#RewriteLog ${APACHE_LOG_DIR}/rewrite.log

#RewriteLogLevel 6

RewriteCond %{QUERY_STRING} " (.*)$
RewriteRule ~/id$ http://localhost:8080/uri-resolver/id?%1 [P,L]
RewriteRule ~/smp$ http://localhost:8080/uri-resolver/smp%l [P,L]
RewriteRule */gis$ http://localhost:8080/uri-resolver/gis%1l [P, L]

#4 - Sep 08, 2015 06:45 PM - Andrea Dell'Amico

Any news?

#5 - Sep 10, 2015 05:56 PM - Francesco Mangiacrapa

Currently, the above rewrite rules are working in dev environment.
In production environment the Uri Resolver will be updated to the next gCube Release and it will use these rules.

#6 - Oct 12, 2015 07:00 PM - Andrea Dell'Amico

- Status changed from Feedback to Resolved

#7 - Oct 13, 2015 10:57 AM - Luca Frosini

- Tracker changed from Feature to Support

- Project changed from 2 to D4Science Infrastructure

- Category changed from Other to System Application

- Target version changed from zz - Uri-Resolver enhancement to System Configuration

- Infrastructure Production added
#8 - Dec 04, 2015 12:48 PM - Francesco Mangiacrapa

- Status changed from Resolved to Closed
